<?php
/**
 * Registro90GRRF.
 *
 * @package Logic
 * @author  alessandrobartels
 *
 */
class Registro90GRRF extends RegistroGRRF{

    const REGISTRO_90 = '90';


    /**
     * Preparacao para a criacao do Registro 90.
     *
     * @return void
     *
     * @author alessandrobartels
     */
    public function geraRegistro90(){
        $this->_geraRegistro(self::REGISTRO_90, parent::CARACTER_VAZIO, parent::CARACTER_VAZIO);
    }


    /**
     * Cria o Registro 90.
     *
     * @param string $tpRegistro Tipo de registro que sera criado.
     *
     * @return void
     *
     * @author alessandrobartels
     */
    private function _geraRegistro($tpRegistro){

        // Bloco 1 | 001-002 | Tipo de registro.
        $this->atribuiDado($tpRegistro, 2);

        // Bloco 2 | 003-053 | Marca final do registro.
        $this->atribuiDado(parent::CARACTER_VAZIO, 51, parent::CARACTER_NOVE, parent::PREENCHE_DIREITA);

        // Bloco 3 | 054-359 | Brancos. Preencher com ' '.
        $this->atribuiDado(parent::CARACTER_VAZIO, 306, parent::CARACTER_BRANCO);

        // Bloco 4 | 360 | Final de linha. Inserir '*'.
        $this->atribuiDado(parent::CARACTER_VAZIO, 1, parent::CARACTER_ASTERISCO);

    }


}