/******************************************************************************************/
/******************************************************************************************/
/* Trigger: DTULTATU_GRUPROMOCPROD                                                        */
/* Tabela : GRUPROMOCPROD                                                                 */
/*                                                                                        */
/* Criao:                                                                               */
/* 15/09/2008 - Leonardo Matos                                                            */
/*                                                                                        */
/******************************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_GRUPROMOCPROD'  and
            type = 'TR' and
            u.uid = o.uid and
            u.name = USER)
   DROP TRIGGER DTULTATU_GRUPROMOCPROD
GO

CREATE TRIGGER DTULTATU_GRUPROMOCPROD
ON GRUPROMOCPROD
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                      (SELECT 'GRUPROMOCPROD', NULL, 'CDPRODPROMOCAO='+CDPRODPROMOCAO+
                                                     ';CDGRUPROMOC='+CDGRUPROMOC+
													 ';NRSEQGRPROMO='+NRSEQGRPROMO+';', GETDATE() FROM DELETED)
   END ELSE BEGIN
      UPDATE GRUPROMOCPROD
      SET DTULTATUGRPROPR = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(GRUPROMOCPROD.CDPRODPROMOCAO,0) = ISNULL(INSERTED.CDPRODPROMOCAO,0)) AND
            (ISNULL(GRUPROMOCPROD.CDGRUPROMOC,0) = ISNULL(INSERTED.CDGRUPROMOC,0)) AND
			(ISNULL(GRUPROMOCPROD.NRSEQGRPROMO,0) = ISNULL(INSERTED.NRSEQGRPROMO,0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_GRUPROMOCPROD','6.35.017';
GO
